Bug 1302654 - NetworkManager PPTP connection terminates
NetworkManager PPTP connection terminates
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 05:28 EST by Mikkel Lauritsen
Modified: 2016-12-20 13:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:15:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikkel Lauritsen 2016-01-28 05:28:44 EST
NetworkManager-pptp-1.1.0-2.20150428git695d4f2 on Fedora 23. The problem has been seen on two different machines so far.

NetworkManager PPTP connections to a Microsoft VPN server (which works reliably with other clients) are suddenly terminated. Usually what triggers this is transferring large files using scp, but when the connection is made through a phone using it as a mobile hotspot it happens almost immediately when using the connection at all.

When the connection is terminated the log contains

Jan 28 11:14:06 localhost.localdomain pptp[5600]: nm-pptp-service-5233 warn[decaps_gre:pptp_gre.c:347]: short read (-1): Message too long
Jan 28 11:14:06 localhost.localdomain pptp[5610]: nm-pptp-service-5233 log[callmgr_main:pptp_callmgr.c:245]: Closing connection (unhandled)
Jan 28 11:14:06 localhost.localdomain pppd[5599]: Modem hangup

Judging from other bug reports this could have something to do with the MTU of the internet connection, which using the mobile is 1410. I have tried setting the MTU of ppp0 (when activated) to 1400, but that doesn't seem to make any difference; the connection still drops immediately.
Comment 1 Brendan Shephard 2016-10-06 08:26:25 EDT
This seems similar to another VPN issue logged: 1293074. Do you have the same issues if you run it with netfilter.nf_conntrack_helper?

sysctl -w net.netfilter.nf_conntrack_helper=1
Comment 2 Fedora End Of Life 2016-11-24 10:14:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:15:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.